//<SECTION DEFINE
#DEFINE CLOCK 2000000
// pic16xxx.inc
#define PORTA   0x05
#define PORTB   0x06
#define PORTC   0x07
#define PORTD   0x08
#define PORTE   0x09
#define TRISA   0x85
#define TRISB   0x86
#define TRISC   0x87
#define TRISD   0x88
#define TRISE   0x89
#define _Z      3,2
#define _C      3,0
#define _RP0    3,5
#define _PA_OUT(x)              output_a(x)
#define _PB_OUT(x)              output_b(x)
#define _PC_OUT(x)              output_c(x)
#define _PD_OUT(x)              output_d(x)
#define _PE_OUT(x)              output_e(x)
#define _PF_OUT(x)              output_f(x)
#define _PA_IN(x)               input_a(x)
#define _PB_IN(x)               input_b(x)
#define _PC_IN(x)               input_c(x)
#define _PD_IN(x)               input_d(x)
#define _PE_IN(x)               input_e(x)
#define _PF_IN(x)               input_f(x)
#define _PADR_SET(x)            set_tris_a(x)
#define _PBDR_SET(x)            set_tris_b(x)
#define _PCDR_SET(x)            set_tris_c(x)
#define _PDDR_SET(x)            set_tris_d(x)
#define _PEDR_SET(x)            set_tris_e(x)
#define _PFDR_SET(x)            set_tris_f(x)
#define _PBIT_SET(port,bit)     bit_set(*port,bit)
#define _PBIT_CLEAR(port,bit)   bit_clear(*port,bit)
#define _PBIT_IN(port,bit)      bit_test(*port,bit)
#define _BITDR_SET(tris,bit)    bit_set(*tris,bit)
#define _BITDR_CLEAR(tris,bit)  bit_clear(*tris,bit)
#define P0_0 PORTB, 0
#define TRISP0_0 TRISB, 0
#define P1_0 PORTB, 1
#define TRISP1_0 TRISB, 1
#define P2_0 PORTB, 2
#define TRISP2_0 TRISB, 2
#define P3_0 PORTB, 3
#define TRISP3_0 TRISB, 3
void PORT4BIT_WRITE(BYTE r) { 
    bit_clear(*TRISP0_0);
    bit_clear(*TRISP1_0);
    bit_clear(*TRISP2_0);
    bit_clear(*TRISP3_0);
    if (bit_test(r,0)) bit_set(*P0_0);
    else  bit_clear(*P0_0);
    if (bit_test(r,1)) bit_set(*P1_0);
    else bit_clear(*P1_0);
    if (bit_test(r,2)) bit_set(*P2_0);
    else bit_clear(*P2_0);
    if (bit_test(r,3)) bit_set(*P3_0);
    else bit_clear(*P3_0);
}

